net.minecraft.network.play

## Interface INetHandlerPlayServer

- All Superinterfaces:
    INetHandler
  All Known Implementing Classes:
    NetHandlerPlayServer

      public interface INetHandlerPlayServer
      extends INetHandler

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `processAnimation(C0APacketAnimation var1)`
    `void` | `processChatMessage(C01PacketChatMessage var1)`
    `void` | `processClickWindow(C0EPacketClickWindow var1)`
    `void` | `processClientSettings(C15PacketClientSettings var1)`
    `void` | `processClientStatus(C16PacketClientStatus var1)`
    `void` | `processCloseWindow(C0DPacketCloseWindow var1)`
    `void` | `processConfirmTransaction(C0FPacketConfirmTransaction var1)`
    `void` | `processCreativeInventoryAction(C10PacketCreativeInventoryAction var1)`
    `void` | `processEnchantItem(C11PacketEnchantItem var1)`
    `void` | `processEntityAction(C0BPacketEntityAction var1)`
    `void` | `processHeldItemChange(C09PacketHeldItemChange var1)`
    `void` | `processInput(C0CPacketInput var1)`
    `void` | `processKeepAlive(C00PacketKeepAlive var1)`
    `void` | `processPlayer(C03PacketPlayer var1)`
    `void` | `processPlayerAbilities(C13PacketPlayerAbilities var1)`
    `void` | `processPlayerBlockPlacement(C08PacketPlayerBlockPlacement var1)`
    `void` | `processPlayerDigging(C07PacketPlayerDigging var1)`
    `void` | `processTabComplete(C14PacketTabComplete var1)`
    `void` | `processUpdateSign(C12PacketUpdateSign var1)`
    `void` | `processUseEntity(C02PacketUseEntity var1)`
    `void` | `processVanilla250Packet(C17PacketCustomPayload var1)`

    - ### Methods inherited from interface net.minecraft.network.INetHandler

      `onConnectionStateTransition, onDisconnect, onNetworkTick`

- - ### Method Detail

    - #### processAnimation

          void processAnimation(C0APacketAnimation var1)

    - #### processChatMessage

          void processChatMessage(C01PacketChatMessage var1)

    - #### processTabComplete

          void processTabComplete(C14PacketTabComplete var1)

    - #### processClientStatus

          void processClientStatus(C16PacketClientStatus var1)

    - #### processClientSettings

          void processClientSettings(C15PacketClientSettings var1)

    - #### processConfirmTransaction

          void processConfirmTransaction(C0FPacketConfirmTransaction var1)

    - #### processEnchantItem

          void processEnchantItem(C11PacketEnchantItem var1)

    - #### processClickWindow

          void processClickWindow(C0EPacketClickWindow var1)

    - #### processCloseWindow

          void processCloseWindow(C0DPacketCloseWindow var1)

    - #### processVanilla250Packet

          void processVanilla250Packet(C17PacketCustomPayload var1)

    - #### processUseEntity

          void processUseEntity(C02PacketUseEntity var1)

    - #### processKeepAlive

          void processKeepAlive(C00PacketKeepAlive var1)

    - #### processPlayer

          void processPlayer(C03PacketPlayer var1)

    - #### processPlayerAbilities

          void processPlayerAbilities(C13PacketPlayerAbilities var1)

    - #### processPlayerDigging

          void processPlayerDigging(C07PacketPlayerDigging var1)

    - #### processEntityAction

          void processEntityAction(C0BPacketEntityAction var1)

    - #### processInput

          void processInput(C0CPacketInput var1)

    - #### processHeldItemChange

          void processHeldItemChange(C09PacketHeldItemChange var1)

    - #### processCreativeInventoryAction

          void processCreativeInventoryAction(C10PacketCreativeInventoryAction var1)

    - #### processUpdateSign

          void processUpdateSign(C12PacketUpdateSign var1)

    - #### processPlayerBlockPlacement

          void processPlayerBlockPlacement(C08PacketPlayerBlockPlacement var1)